export declare class Dijkstra {
    private static MaxSize;
    /** 从某一源点出发，找到到某一结点的最短路径
     * @param graph  图数据，它是一个二维矩阵，记录每两个点之间的距离
     * @param start 起始节点索引号
     * @param end 终点节点索引号
     * @param path 数组，用于返回start到end顶点之间的路径
     * @return 数组，从start到每个点之间的距离
     */
    static getShortedPath(graph: number[][], start: number, end: number, path: number[]): number;
    /** 从某一源点出发，找到到所有结点的最短路径
     * @param graph 图数据，它是一个二维矩阵，记录每两个点之间的距离
     * @param start 起始节点索引号
     * @param path 二维数据，用于返回start到每个顶点之间的路径
     * @return 数组，从start到每个点之间的距离
     */
    static getShortedPathAll(graph: number[][], start: number, path: number[][]): number[];
}
