"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var utils_1 = require("./utils");
var FileDownloadComponent = /** @class */ (function () {
    function FileDownloadComponent() {
        this.fileDownloadRoot = fileDownloadRoot;
        this.fileTypes = {
            image: [".png", ".jpg", ".jpeg", ".bmp", ".gif"],
            word: [".doc", ".docx"],
            excel: [".xls", ".xlsx"],
            powerpoint: [".ppt", ".pptx"],
            audio: [".wav", ".mp3", ".ogg", ".flac", ".ape"],
            video: [".mov", ".mp4", ".avi", ".asf", ".rm", ".rmvb", ".mpeg"],
            pdf: [".pdf"],
            text: [".txt", ".csv", ".xml", ".text", ".tsv"],
            achive: [".zip", ".gz", ".tar", ".7z", ".rar", ".jar", ".war", ".ear", ".tgz"],
            code: [".js", ".ts", ".java", ".c", ".sql", ".htm", ".html", , ".css"] //代码的后缀名
        };
    }
    FileDownloadComponent.prototype.getLabel = function () {
        if (this.labelKey) {
            return utils_1.Utils.resolveLocalizedMessage(this.labelKey);
        }
        return "";
    };
    FileDownloadComponent.prototype.getFileExt = function () {
        var i = this.fileUri.lastIndexOf(".");
        if (i > -1) {
            return this.fileUri.substring(i);
        }
        return null;
    };
    FileDownloadComponent.prototype.getFileIcon = function () {
        var fe = this.getFileExt();
        if (fe) {
            for (var ftypes in this.fileTypes) {
                for (var _i = 0, _a = this.fileTypes[ftypes]; _i < _a.length; _i++) {
                    var ft = _a[_i];
                    if (ft == fe) {
                        return 'file-' + ftypes + '-o';
                    }
                }
            }
        }
        return "file";
    };
    /**
 * 生成下载链接。
 * @param uri 附件的相对路径
 */
    FileDownloadComponent.prototype.resolveDownloadUrl = function (uri) {
        return fileDownloadRoot + encodeURI(uri);
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FileDownloadComponent.prototype, "fileUri", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], FileDownloadComponent.prototype, "labelKey", void 0);
    FileDownloadComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: "iisp-file-download",
            template: "\n    <a href=\"{{resolveDownloadUrl(fileUri)}}\" target=\"_blank\"><span class=\"filedownload\"><i class=\"fa fa-{{getFileIcon()}}\"></i>{{getLabel()}}</span></a>\n    "
        })
    ], FileDownloadComponent);
    return FileDownloadComponent;
}());
exports.FileDownloadComponent = FileDownloadComponent;
//# sourceMappingURL=filedownload.component.js.map