import { BaseComponent } from './base.component';
export declare class FileUploadComponent extends BaseComponent {
    fileUploadInfo: FileUploadInfo;
    files: Array<any>;
    uploadUrl: string;
    isUploading: boolean;
    onUpload(event: any): void;
    onError(event: any): void;
    onClear(): void;
    onProgress(): void;
    isRunning(): boolean;
}
export declare class FileUploadInfo {
    /**
     * 上传了的文件在服务器端的路径
     */
    uploadedFiles: string[];
    /**
     * Defines the UI of the component, possible values are "advanced" and "basic".
     */
    mode: string;
    /**
     * 指定最大上传文件字节数，缺省为20M字节.
     */
    maxSize: number;
    /**
     * 允许上传的文件类型，如："image/*,text/*,".
     * 所有类型见：http://www.w3school.com.cn/media/media_mimeref.asp
     * 或直接规定扩展名，如：".csv,.sql".
     */
    allowedFileType: string;
    isDisabled: boolean;
    isMultipleMode: boolean;
    /**
     * 是否自动上传。
     * 是：选取文件就会自动上传；
     * 否：选取文件后，等到点击上传按钮才上传。
     */
    isAutoUpload: boolean;
    reset(): void;
    constructor(allowedFileType?: string);
}
