"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_component_1 = require("./base.component");
;
var FileUploadComponent = /** @class */ (function (_super) {
    __extends(FileUploadComponent, _super);
    function FileUploadComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.uploadUrl = restRoot + "/common/files";
        _this.isUploading = false;
        return _this;
    }
    //  定义事件，上传文件
    FileUploadComponent.prototype.onUpload = function (event) {
        this.fileUploadInfo.uploadedFiles = JSON.parse(event.xhr.response).uploadPaths;
        this.fileUploadInfo['files'] = new Array();
        for (var _i = 0, _a = event.files; _i < _a.length; _i++) {
            var file = _a[_i];
            this.fileUploadInfo['files'].push(file);
        }
    };
    FileUploadComponent.prototype.onError = function (event) {
        this.showErrorKey("upload.file.error");
    };
    FileUploadComponent.prototype.onClear = function () {
        this.isUploading = false;
    };
    FileUploadComponent.prototype.onProgress = function () {
        this.isUploading = true;
    };
    FileUploadComponent.prototype.isRunning = function () { return false; };
    __decorate([
        core_1.Input(),
        __metadata("design:type", FileUploadInfo)
    ], FileUploadComponent.prototype, "fileUploadInfo", void 0);
    FileUploadComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: "iisp-file-upload",
            template: "\n    <div style=\"display:inline-block;\">\n    <p-fileUpload mode=\"basic\" [multiple]=\"fileUploadInfo.isMultipleMode\" [url]=\"uploadUrl\" [accept]=\"fileUploadInfo.allowedFileType\"\n        [disabled]=\"fileUploadInfo.isDisabled\" [auto]=\"fileUploadInfo.isAutoUpload\" \n        uploadLabel=\"{{'upload.file'|i18n}}\" cancelLabel=\"{{'upload.cancel'|i18n}}\" chooseLabel=\"{{'choose.file'|i18n}}\"\n        maxFileSize=\"{{fileUploadInfo.maxSize}}\" (onUpload)=\"onUpload($event)\" (onError)=\"onError($event)\" (onClear)=\"onClear()\" (onProgress)=\"onProgress()\">\n    </p-fileUpload>\n    </div>\n    <div style=\"display:inline-block;\">\n        <i *ngIf=\"isUploading\" class=\"ui-autocomplete-loader fa fa-circle-o-notch fa-spin fa-fw ng-star-inserted\" style=\"position: static;\"></i>\n        <span *ngIf=\"fileUploadInfo.files\"><ul><li *ngFor='let f1 of fileUploadInfo.files'>{{f1.name}} - {{f1.size/1000 | number: '1.0-0'}}KB</li></ul></span>\n    </div>\n    "
        })
    ], FileUploadComponent);
    return FileUploadComponent;
}(base_component_1.BaseComponent));
exports.FileUploadComponent = FileUploadComponent;
var FileUploadInfo = /** @class */ (function () {
    function FileUploadInfo(allowedFileType) {
        /**
         * Defines the UI of the component, possible values are "advanced" and "basic".
         */
        this.mode = "basic";
        /**
         * 指定最大上传文件字节数，缺省为20M字节.
         */
        this.maxSize = 20000000;
        /**
         * 允许上传的文件类型，如："image/*,text/*,".
         * 所有类型见：http://www.w3school.com.cn/media/media_mimeref.asp
         * 或直接规定扩展名，如：".csv,.sql".
         */
        this.allowedFileType = "";
        this.isDisabled = false;
        this.isMultipleMode = false;
        /**
         * 是否自动上传。
         * 是：选取文件就会自动上传；
         * 否：选取文件后，等到点击上传按钮才上传。
         */
        this.isAutoUpload = true;
        if (allowedFileType) {
            this.allowedFileType = allowedFileType;
        }
    }
    FileUploadInfo.prototype.reset = function () {
        this.uploadedFiles = undefined;
    };
    return FileUploadInfo;
}());
exports.FileUploadInfo = FileUploadInfo;
//# sourceMappingURL=fileupload.component.js.map