"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var utils_1 = require("./utils");
/**
 * 本管道用于基于IISP构架实现语言国际化，或基于字典映射国际语言，用法:
 * {{ key | i18n}} 或
 * {{ key | i18n: params:[arg1, arg2...]}}
 * {{ key | i18n: params:[arg1, arg2...], dictMap: orgMap}}
 * {{ key | i18n: null: orgMap}}
 */
var i18nPipe = /** @class */ (function () {
    function i18nPipe() {
    }
    i18nPipe.prototype.transform = function (key, params, dictMap) {
        if (dictMap) {
            return utils_1.Utils.lookup(key, dictMap);
        }
        return utils_1.Utils.resolveLocalizedMessage(key, params);
    };
    i18nPipe = __decorate([
        core_1.Pipe({ name: 'i18n' })
    ], i18nPipe);
    return i18nPipe;
}());
exports.i18nPipe = i18nPipe;
//# sourceMappingURL=i18n.pipe.js.map