"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var models_1 = require("./models");
var PrimengUtils = /** @class */ (function () {
    function PrimengUtils() {
    }
    /** 把PrimeNg TreeNode数组转换成RefBean数组
     * @param treeNodes PrimeNg TreeNode数组，有data,label两个属性
     * @return RefBean数组， 有code 和 name两个属性
     */
    PrimengUtils.treeNodesToRefBeans = function (treeNodes) {
        var refBeans = new Array();
        for (var _i = 0, treeNodes_1 = treeNodes; _i < treeNodes_1.length; _i++) {
            var tnode = treeNodes_1[_i];
            refBeans.push(new models_1.RefBean(tnode.data, tnode.label));
        }
        return refBeans;
    };
    /** 根据已选的数据，把相应的PrimeNg TreeNode节点打上已选标记
     * @param treeNodes PrimeNg TreeNode数组，有data,label两个属性
     * @return RefBean数组， 有code 和 name两个属性
     */
    PrimengUtils.getSelectedTreeNodeByDatas = function (tree, datas) {
        var seletedTreeNodes = new Array();
        PrimengUtils.getSelectedTreeNodeByDatas1(tree, datas, seletedTreeNodes);
        return seletedTreeNodes;
    };
    PrimengUtils.getSelectedTreeNodeByDatas1 = function (treeNodes, datas, seletedTreeNodes) {
        for (var _i = 0, treeNodes_2 = treeNodes; _i < treeNodes_2.length; _i++) {
            var tnode = treeNodes_2[_i];
            for (var _a = 0, datas_1 = datas; _a < datas_1.length; _a++) {
                var data = datas_1[_a];
                if (data == tnode.data) {
                    seletedTreeNodes.push(tnode);
                    break;
                }
            }
            if (tnode.children) {
                PrimengUtils.getSelectedTreeNodeByDatas1(tnode.children, datas, seletedTreeNodes);
            }
        }
    };
    /** 从tree中找到与refBeans数组中ID相同的节点集。
     * @param tree 目标树，Primeng TreeNode树
     * @param refBeans 对应的refBeans，有code,name两个属性
     * @return PrimeNg TreeNode树中，和refBeans中有相同ID的节点集
     */
    PrimengUtils.getSelectedTreeNodes = function (tree, refBeans) {
        var seletedTreeNodes = new Array();
        PrimengUtils.getSelectedNodes(tree, refBeans, seletedTreeNodes);
        return seletedTreeNodes;
    };
    PrimengUtils.getSelectedNodes = function (treeNodes, refBeans, seletedTreeNodes) {
        for (var _i = 0, treeNodes_3 = treeNodes; _i < treeNodes_3.length; _i++) {
            var tnode = treeNodes_3[_i];
            for (var _a = 0, refBeans_1 = refBeans; _a < refBeans_1.length; _a++) {
                var rbean = refBeans_1[_a];
                if (rbean.code == tnode.data) {
                    seletedTreeNodes.push(tnode);
                    break;
                }
            }
            if (tnode.children) {
                PrimengUtils.getSelectedNodes(tnode.children, refBeans, seletedTreeNodes);
            }
        }
    };
    /** 把从服务器来的RefBeanTreeNode树变成PrimeNg TreeNode树，实际只是简单的把RefBean的code和name属性复制到data,label属性。
     * 这样简单处理后，需要返回到服务器端时，可以把PrimeNg TreeNode树直接当作RefBeanTreeNode树返回，无需变换。
     * @param rNodes 从服务器来的RefBean树，有code,name两个属性
     * @return PrimeNg TreeNode树， 有data 和 label两个属性
     */
    PrimengUtils.refBeanTreeNodesToTreeNodes = function (rNodes) {
        //let tnodes = new Array<TreeNode>();
        for (var _i = 0, rNodes_1 = rNodes; _i < rNodes_1.length; _i++) {
            var rnode = rNodes_1[_i];
            var tnode = rnode;
            tnode.data = rnode.code;
            tnode.label = rnode.name;
            //tnodes.push(tnode);
            if (rnode.children) {
                tnode.children = PrimengUtils.refBeanTreeNodesToTreeNodes(rnode.children);
            }
        }
        return rNodes;
    };
    return PrimengUtils;
}());
exports.PrimengUtils = PrimengUtils;
//# sourceMappingURL=primeng.utils.js.map