import { Pipe, PipeTransform } from '@angular/core';
import { Utils } from "./utils";

@Pipe( { name: 'date' } )
/**
 * 本管道用于格式化日期，缺省格式为yyyy-MM-dd,用法:
 * {{job.createTime | date:'yyyy-MM-dd hh:mm'}}
 */
export class DatePipe implements PipeTransform {
	transform( date: Date, pattern?: string ): string {
	    if (date){
    		if (!pattern) {
    			pattern = "yyyy-MM-dd";
    		}
            return Utils.formatDate(date, pattern);
	    } else {
	        return "";
	    }
    }
}
