import { Pipe, PipeTransform } from '@angular/core';
import { Utils } from "./utils";
/**
 * 本管道用于基于IISP构架实现语言国际化，或基于字典映射国际语言，用法:
 * {{ key | i18n}} 或
 * {{ key | i18n: params:[arg1, arg2...]}}
 * {{ key | i18n: params:[arg1, arg2...], dictMap: orgMap}}
 * {{ key | i18n: null: orgMap}}
 */
@Pipe({ name: 'i18n' })
export class i18nPipe implements PipeTransform {
	transform(key: any, params?: string[], dictMap?: Object): string {
	    if (dictMap) {
	        return Utils.lookup(key, dictMap);
	    }
		return Utils.resolveLocalizedMessage(key, params);
	}
}